diff --git a/gcc/dbxout.c b/gcc/dbxout.c
index 7a13289..c0b9320 100644
--- a/gcc/dbxout.c
+++ b/gcc/dbxout.c
@@ -819,7 +819,7 @@ stabstr_continue (void)
 #ifndef DBX_FINISH_STABS
 #define DBX_FINISH_STABS(SYM, CODE, LINE, ADDR, LABEL, NUMBER)	\
 do {								\
-  int line_ = use_gnu_debug_info_extensions ? LINE : 0;		\
+  int line_ = GCC_OPTION (use_gnu_debug_info_extensions) ? LINE : 0;		\
 								\
   dbxout_int (CODE);						\
   fputs (",0,", asm_out_file);					\
@@ -950,14 +950,14 @@ dbxout_function_end (tree decl ATTRIBUTE_UNUSED)
   /* The N_FUN tag at the end of the function is a GNU extension,
      which may be undesirable, and is unnecessary if we do not have
      named sections.  */
-  if (!use_gnu_debug_info_extensions
+  if (!GCC_OPTION (use_gnu_debug_info_extensions)
       || NO_DBX_FUNCTION_END
       || !targetm_common.have_named_sections)
     return;
 
   /* By convention, GCC will mark the end of a function with an N_FUN
      symbol and an empty string.  */
-  if (flag_reorder_blocks_and_partition)
+  if (GCC_OPTION (flag_reorder_blocks_and_partition))
     {
       dbxout_begin_empty_stabs (N_FUN);
       dbxout_stab_value_label_diff (crtl->subsections.hot_section_end_label,
@@ -975,7 +975,7 @@ dbxout_function_end (tree decl ATTRIBUTE_UNUSED)
       dbxout_stab_value_label_diff (lscope_label_name, begin_label);
     }
 
-  if (!NO_DBX_BNSYM_ENSYM && !flag_debug_only_used_symbols)
+  if (!NO_DBX_BNSYM_ENSYM && !GCC_OPTION (flag_debug_only_used_symbols))
     dbxout_stabd (N_ENSYM, 0);
 }
 #endif /* DBX_DEBUGGING_INFO */
@@ -1037,7 +1037,7 @@ dbxout_init (const char *input_file_name)
   ASM_GENERATE_INTERNAL_LABEL (ltext_label_name, "Ltext", 0);
 
   /* Put the current working directory in an N_SO symbol.  */
-  if (use_gnu_debug_info_extensions && !NO_DBX_MAIN_SOURCE_DIRECTORY)
+  if (GCC_OPTION (use_gnu_debug_info_extensions) && !NO_DBX_MAIN_SOURCE_DIRECTORY)
     {
       static const char *cwd;
 
@@ -1286,10 +1286,10 @@ dbxout_source_file (const char *filename)
 static void
 dbxout_begin_prologue (unsigned int lineno, const char *filename)
 {
-  if (use_gnu_debug_info_extensions
+  if (GCC_OPTION (use_gnu_debug_info_extensions)
       && !NO_DBX_FUNCTION_END
       && !NO_DBX_BNSYM_ENSYM
-      && !flag_debug_only_used_symbols)
+      && !GCC_OPTION (flag_debug_only_used_symbols))
     dbxout_stabd (N_BNSYM, 0);
 
   /* pre-increment the scope counter */
@@ -1537,7 +1537,7 @@ dbxout_type_fields (tree type)
 	    stabstr_I (DECL_NAME (tem));
 	  stabstr_C (':');
 
-	  if (use_gnu_debug_info_extensions
+	  if (GCC_OPTION (use_gnu_debug_info_extensions)
 	      && (TREE_PRIVATE (tem) || TREE_PROTECTED (tem)
 		  || TREE_CODE (tem) != FIELD_DECL))
 	    {
@@ -1551,7 +1551,7 @@ dbxout_type_fields (tree type)
 
 	  if (TREE_CODE (tem) == VAR_DECL)
 	    {
-	      if (TREE_STATIC (tem) && use_gnu_debug_info_extensions)
+	      if (TREE_STATIC (tem) && GCC_OPTION (use_gnu_debug_info_extensions))
 		{
 		  tree name = DECL_ASSEMBLER_NAME (tem);
 
@@ -1803,7 +1803,7 @@ dbxout_type (tree type, int full)
 
   /* If we are not using extensions, stabs does not distinguish const and
      volatile, so there is no need to make them separate types.  */
-  if (!use_gnu_debug_info_extensions)
+  if (!GCC_OPTION (use_gnu_debug_info_extensions))
     type = main_variant;
 
   if (TYPE_SYMTAB_ADDRESS (type) == 0)
@@ -1829,7 +1829,7 @@ dbxout_type (tree type, int full)
 #endif
     }
 
-  if (flag_debug_only_used_symbols)
+  if (GCC_OPTION (flag_debug_only_used_symbols))
     {
       if ((TREE_CODE (type) == RECORD_TYPE
 	   || TREE_CODE (type) == UNION_TYPE
@@ -1882,7 +1882,7 @@ dbxout_type (tree type, int full)
   if ((TREE_CODE (type) == RECORD_TYPE || TREE_CODE (type) == UNION_TYPE
        || TREE_CODE (type) == QUAL_UNION_TYPE
        || TREE_CODE (type) == ENUMERAL_TYPE)
-      && ! use_gnu_debug_info_extensions)
+      && ! GCC_OPTION (use_gnu_debug_info_extensions))
     /* We must use the same test here as we use twice below when deciding
        whether to emit a cross-reference.  */
     if ((TYPE_NAME (type) != 0
@@ -1923,7 +1923,7 @@ dbxout_type (tree type, int full)
     }
   else if (main_variant != TYPE_MAIN_VARIANT (type))
     {
-      if (flag_debug_only_used_symbols)
+      if (GCC_OPTION (flag_debug_only_used_symbols))
         {
           tree orig_type = DECL_ORIGINAL_TYPE (TYPE_NAME (type));
 
@@ -1975,7 +1975,7 @@ dbxout_type (tree type, int full)
 	  /* If the size is non-standard, say what it is if we can use
 	     GDB extensions.  */
 
-	  if (use_gnu_debug_info_extensions
+	  if (GCC_OPTION (use_gnu_debug_info_extensions)
 	      && TYPE_PRECISION (type) != TYPE_PRECISION (integer_type_node))
 	    {
 	      stabstr_S ("@s");
@@ -1991,7 +1991,7 @@ dbxout_type (tree type, int full)
 	  /* If the size is non-standard, say what it is if we can use
 	     GDB extensions.  */
 
-	  if (use_gnu_debug_info_extensions
+	  if (GCC_OPTION (use_gnu_debug_info_extensions)
 	      && TYPE_PRECISION (type) != TYPE_PRECISION (integer_type_node))
 	    {
 	      stabstr_S ("@s");
@@ -2039,7 +2039,7 @@ dbxout_type (tree type, int full)
       break;
 
     case BOOLEAN_TYPE:
-      if (use_gnu_debug_info_extensions)
+      if (GCC_OPTION (use_gnu_debug_info_extensions))
 	{
 	  stabstr_S ("@s");
 	  stabstr_D (BITS_PER_UNIT * int_size_in_bytes (type));
@@ -2084,7 +2084,7 @@ dbxout_type (tree type, int full)
 
     case ARRAY_TYPE:
       /* Make arrays of packed bits look like bitstrings for chill.  */
-      if (TYPE_PACKED (type) && use_gnu_debug_info_extensions)
+      if (TYPE_PACKED (type) && GCC_OPTION (use_gnu_debug_info_extensions))
 	{
 	  stabstr_S ("@s");
 	  stabstr_D (BITS_PER_UNIT * int_size_in_bytes (type));
@@ -2099,7 +2099,7 @@ dbxout_type (tree type, int full)
 	 ar1;0;N;M for a C array of type M and size N+1.  */
       /* Check if a character string type, which in Chill is
 	 different from an array of characters.  */
-      if (TYPE_STRING_FLAG (type) && use_gnu_debug_info_extensions)
+      if (TYPE_STRING_FLAG (type) && GCC_OPTION (use_gnu_debug_info_extensions))
 	{
 	  stabstr_S ("@S;");
 	}
@@ -2121,7 +2121,7 @@ dbxout_type (tree type, int full)
 
     case VECTOR_TYPE:
       /* Make vectors look like an array.  */
-      if (use_gnu_debug_info_extensions)
+      if (GCC_OPTION (use_gnu_debug_info_extensions))
 	stabstr_S ("@V;");
 
       /* Output "a" followed by a range type definition
@@ -2186,7 +2186,7 @@ dbxout_type (tree type, int full)
 	    tree child;
 	    vec<tree, va_gc> *accesses = BINFO_BASE_ACCESSES (binfo);
 
-	    if (use_gnu_debug_info_extensions)
+	    if (GCC_OPTION (use_gnu_debug_info_extensions))
 	      {
 		if (BINFO_N_BASE_BINFOS (binfo))
 		  {
@@ -2199,7 +2199,7 @@ dbxout_type (tree type, int full)
 	      {
 		tree access = (accesses ? (*accesses)[i] : access_public_node);
 
-		if (use_gnu_debug_info_extensions)
+		if (GCC_OPTION (use_gnu_debug_info_extensions))
 		  {
 		    stabstr_C (BINFO_VIRTUAL_P (child) ? '1' : '0');
 		    stabstr_C (access == access_public_node ? '2' :
@@ -2244,14 +2244,14 @@ dbxout_type (tree type, int full)
 
       /* Write out the field declarations.  */
       dbxout_type_fields (type);
-      if (use_gnu_debug_info_extensions && TYPE_METHODS (type) != NULL_TREE)
+      if (GCC_OPTION (use_gnu_debug_info_extensions) && TYPE_METHODS (type) != NULL_TREE)
 	{
 	  dbxout_type_methods (type);
 	}
 
       stabstr_C (';');
 
-      if (use_gnu_debug_info_extensions && TREE_CODE (type) == RECORD_TYPE
+      if (GCC_OPTION (use_gnu_debug_info_extensions) && TREE_CODE (type) == RECORD_TYPE
 	  /* Avoid the ~ if we don't really need it--it confuses dbx.  */
 	  && TYPE_VFIELD (type))
 	{
@@ -2282,7 +2282,7 @@ dbxout_type (tree type, int full)
 	  stabstr_C (':');
 	  return;
 	}
-      if (use_gnu_debug_info_extensions
+      if (GCC_OPTION (use_gnu_debug_info_extensions)
 	  && TYPE_PRECISION (type) != TYPE_PRECISION (integer_type_node))
 	{
 	  stabstr_S ("@s");
@@ -2323,7 +2323,7 @@ dbxout_type (tree type, int full)
       break;
 
     case METHOD_TYPE:
-      if (use_gnu_debug_info_extensions)
+      if (GCC_OPTION (use_gnu_debug_info_extensions))
 	{
 	  stabstr_C ('#');
 
@@ -2340,7 +2340,7 @@ dbxout_type (tree type, int full)
       break;
 
     case OFFSET_TYPE:
-      if (use_gnu_debug_info_extensions)
+      if (GCC_OPTION (use_gnu_debug_info_extensions))
 	{
 	  stabstr_C ('@');
 	  dbxout_type (TYPE_OFFSET_BASETYPE (type), 0);
@@ -2353,7 +2353,7 @@ dbxout_type (tree type, int full)
       break;
 
     case REFERENCE_TYPE:
-      if (use_gnu_debug_info_extensions)
+      if (GCC_OPTION (use_gnu_debug_info_extensions))
 	{
 	  stabstr_C ('&');
 	}
@@ -2389,7 +2389,7 @@ print_int_cst_bounds_in_octal_p (tree type, tree low, tree high)
      This is because we print the bounds as signed decimal, and hence they
      can't span same size unsigned types.  */
 
-  if (use_gnu_debug_info_extensions
+  if (GCC_OPTION (use_gnu_debug_info_extensions)
       && low && TREE_CODE (low) == INTEGER_CST
       && high && TREE_CODE (high) == INTEGER_CST
       && (TYPE_PRECISION (type) > TYPE_PRECISION (integer_type_node)
@@ -2636,7 +2636,7 @@ dbxout_symbol (tree decl, int local ATTRIBUTE_UNUSED)
      symbol nodes are flagged with TREE_USED.  Ignore any that
      aren't flagged as TREE_USED.  */
 
-  if (flag_debug_only_used_symbols
+  if (GCC_OPTION (flag_debug_only_used_symbols)
       && (!TREE_USED (decl)
           && (TREE_CODE (decl) != VAR_DECL || !DECL_INITIAL (decl))))
     DBXOUT_DECR_NESTING_AND_RETURN (0);
@@ -2648,7 +2648,7 @@ dbxout_symbol (tree decl, int local ATTRIBUTE_UNUSED)
       DBXOUT_DECR_NESTING_AND_RETURN (0);
     }
 
-  if (flag_debug_only_used_symbols)
+  if (GCC_OPTION (flag_debug_only_used_symbols))
     {
       tree t;
 
@@ -2722,7 +2722,7 @@ dbxout_symbol (tree decl, int local ATTRIBUTE_UNUSED)
 	  || GET_CODE (XEXP (decl_rtl, 0)) != SYMBOL_REF)
 	break;
 
-      if (flag_debug_only_used_symbols)
+      if (GCC_OPTION (flag_debug_only_used_symbols))
 	output_used_types ();
 
       dbxout_begin_complex_stabs ();
@@ -2788,7 +2788,7 @@ dbxout_symbol (tree decl, int local ATTRIBUTE_UNUSED)
 		 || TREE_CODE (type) == UNION_TYPE
 		 || TREE_CODE (type) == QUAL_UNION_TYPE)
 		&& TYPE_NAME (type) == decl
-		&& !use_gnu_debug_info_extensions
+		&& !GCC_OPTION (use_gnu_debug_info_extensions)
 		&& !TREE_ASM_WRITTEN (TYPE_NAME (type))
 		/* Distinguish the implicit typedefs of C++
 		   from explicit ones that might be found in C.  */
@@ -2815,7 +2815,7 @@ dbxout_symbol (tree decl, int local ATTRIBUTE_UNUSED)
 	    dbxout_begin_complex_stabs ();
 
 	    /* Output leading class/struct qualifiers.  */
-	    if (use_gnu_debug_info_extensions)
+	    if (GCC_OPTION (use_gnu_debug_info_extensions))
 	      dbxout_class_name_qualifiers (decl);
 
 	    /* Output typedef name.  */
@@ -2831,7 +2831,7 @@ dbxout_symbol (tree decl, int local ATTRIBUTE_UNUSED)
 		   from explicit ones that might be found in C.  */
 		&& DECL_ARTIFICIAL (decl))
 	      {
-		if (use_gnu_debug_info_extensions)
+		if (GCC_OPTION (use_gnu_debug_info_extensions))
 		  {
 		    stabstr_C ('T');
 		    TREE_ASM_WRITTEN (TYPE_NAME (type)) = 1;
@@ -3537,7 +3537,7 @@ dbxout_parms (tree parms)
 	    code = DBX_REGPARM_STABS_CODE;
 
 	    /* GDB likes this marked with a special letter.  */
-	    letter = (use_gnu_debug_info_extensions
+	    letter = (GCC_OPTION (use_gnu_debug_info_extensions)
 		      ? 'a' : DBX_REGPARM_STABS_LETTER);
 	    eff_type = TREE_TYPE (parms);
 
@@ -3737,7 +3737,7 @@ dbxout_block (tree block, int depth, tree args)
 	  /* In dbx format, the syms of a block come before the N_LBRAC.
 	     If nothing is output, we don't need the N_LBRAC, either.  */
 	  did_output = 0;
-	  if (debug_info_level != DINFO_LEVEL_TERSE || depth == 0)
+	  if (GCC_OPTION (debug_info_level) != DINFO_LEVEL_TERSE || depth == 0)
 	    did_output = dbxout_syms (BLOCK_VARS (block));
 	  if (args)
 	    dbxout_reg_parms (args);
diff --git a/gcc/dce.c b/gcc/dce.c
index 07592f4..5497750 100644
--- a/gcc/dce.c
+++ b/gcc/dce.c
@@ -782,7 +782,7 @@ rest_of_handle_ud_dce (void)
 static bool
 gate_ud_dce (void)
 {
-  return optimize > 1 && flag_dce
+  return GCC_OPTION (optimize) > 1 && GCC_OPTION (flag_dce)
     && dbg_cnt (dce_ud);
 }
 
@@ -1159,7 +1159,7 @@ run_word_dce (void)
 {
   int old_flags;
 
-  if (!flag_dce)
+  if (!GCC_OPTION (flag_dce))
     return;
 
   timevar_push (TV_DCE);
@@ -1185,7 +1185,7 @@ run_word_dce (void)
 void
 run_fast_df_dce (void)
 {
-  if (flag_dce)
+  if (GCC_OPTION (flag_dce))
     {
       /* If dce is able to delete something, it has to happen
 	 immediately.  Otherwise there will be problems handling the
@@ -1207,7 +1207,7 @@ run_fast_df_dce (void)
 void
 run_fast_dce (void)
 {
-  if (flag_dce)
+  if (GCC_OPTION (flag_dce))
     rest_of_handle_fast_dce ();
 }
 
@@ -1215,7 +1215,7 @@ run_fast_dce (void)
 static bool
 gate_fast_dce (void)
 {
-  return optimize > 0 && flag_dce
+  return GCC_OPTION (optimize) > 0 && GCC_OPTION (flag_dce)
     && dbg_cnt (dce_fast);
 }
 
diff --git a/gcc/ddg.c b/gcc/ddg.c
index d6ee0c2..fa2a585 100644
--- a/gcc/ddg.c
+++ b/gcc/ddg.c
@@ -216,7 +216,7 @@ create_ddg_dep_from_intra_loop_link (ddg_ptr g, ddg_node_ptr src_node,
      reg-moves will not be created for this address.  
      TODO: support the removal of all anti-deps edges, i.e. including those
      whose register has multiple defs in the loop.  */
-  if (flag_modulo_sched_allow_regmoves 
+  if (GCC_OPTION (flag_modulo_sched_allow_regmoves) 
       && (t == ANTI_DEP && dt == REG_DEP)
       && !def_has_ccmode_p (dest_node->insn)
       && !autoinc_var_is_used_p (dest_node->insn, src_node->insn))
@@ -350,7 +350,7 @@ add_cross_iteration_register_deps (ddg_ptr g, df_ref last_def)
             is used in USE_INSN then do not remove the edge to make sure
             reg-moves will not be created for that address.  */
           if (DF_REF_ID (last_def) != DF_REF_ID (first_def)
-              || !flag_modulo_sched_allow_regmoves
+              || !GCC_OPTION (flag_modulo_sched_allow_regmoves)
 	      || JUMP_P (use_node->insn)
               || autoinc_var_is_used_p (DF_REF_INSN (last_def), use_insn)
 	      || def_has_ccmode_p (DF_REF_INSN (last_def)))
@@ -570,7 +570,7 @@ build_intra_loop_deps (ddg_ptr g)
 		     removing these edges could cause a violation of the
 		     memory dependencies.  Thus we add intra edges between
 		     every two memory instructions in this case.  */
-		  if (flag_modulo_sched_allow_regmoves
+		  if (GCC_OPTION (flag_modulo_sched_allow_regmoves)
 		      && !bitmap_bit_p (dest_node->predecessors, j))
 		    add_intra_loop_mem_dep (g, j_node, dest_node);
 		}
diff --git a/gcc/defaults.h b/gcc/defaults.h
index f94ae17..b610d6d 100644
--- a/gcc/defaults.h
+++ b/gcc/defaults.h
@@ -602,7 +602,7 @@ see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
 
 /* WCHAR_TYPE gets overridden by -fshort-wchar.  */
 #define MODIFIED_WCHAR_TYPE \
-	(flag_short_wchar ? "short unsigned int" : WCHAR_TYPE)
+	(GCC_OPTION (flag_short_wchar) ? "short unsigned int" : WCHAR_TYPE)
 
 #ifndef PTRDIFF_TYPE
 #define PTRDIFF_TYPE "long int"
diff --git a/gcc/df-core.c b/gcc/df-core.c
index edb3b25..07e5018 100644
--- a/gcc/df-core.c
+++ b/gcc/df-core.c
@@ -719,7 +719,7 @@ rest_of_handle_df_initialize (void)
 
   /* These three problems are permanent.  */
   df_lr_add_problem ();
-  if (optimize > 1)
+  if (GCC_OPTION (optimize) > 1)
     df_live_add_problem ();
 
   df->postorder = XNEWVEC (int, last_basic_block_for_fn (cfun));
@@ -743,7 +743,7 @@ rest_of_handle_df_initialize (void)
 static bool
 gate_opt (void)
 {
-  return optimize > 0;
+  return GCC_OPTION (optimize) > 0;
 }
 
 
@@ -789,7 +789,7 @@ make_pass_df_initialize_opt (gcc::context *ctxt)
 static bool
 gate_no_opt (void)
 {
-  return optimize == 0;
+  return GCC_OPTION (optimize) == 0;
 }
 
 
@@ -2477,7 +2477,7 @@ df_ref_debug (df_ref ref, FILE *file)
 	   DF_REF_TYPE (ref));
   if (DF_REF_LOC (ref))
     {
-      if (flag_dump_noaddr)
+      if (GCC_OPTION (flag_dump_noaddr))
 	fprintf (file, "loc #(#) chain ");
       else
 	fprintf (file, "loc %p(%p) chain ", (void *)DF_REF_LOC (ref),
diff --git a/gcc/df-problems.c b/gcc/df-problems.c
index 77f8c99..2afbf6a 100644
--- a/gcc/df-problems.c
+++ b/gcc/df-problems.c
@@ -1433,7 +1433,7 @@ df_live_alloc (bitmap all_blocks ATTRIBUTE_UNUSED)
 	  bitmap_initialize (&bb_info->out, &problem_data->live_bitmaps);
 	}
     }
-  df_live->optional_p = (optimize <= 1);
+  df_live->optional_p = (GCC_OPTION (optimize) <= 1);
 }
 
 
diff --git a/gcc/dojump.c b/gcc/dojump.c
index 7846314..5acb71c 100644
--- a/gcc/dojump.c
+++ b/gcc/dojump.c
@@ -78,8 +78,8 @@ discard_pending_stack_adjust (void)
 void
 clear_pending_stack_adjust (void)
 {
-  if (optimize > 0
-      && (! flag_omit_frame_pointer || cfun->calls_alloca)
+  if (GCC_OPTION (optimize) > 0
+      && (! GCC_OPTION (flag_omit_frame_pointer) || cfun->calls_alloca)
       && EXIT_IGNORE_STACK)
     discard_pending_stack_adjust ();
 }
diff --git a/gcc/dse.c b/gcc/dse.c
index 09dc5df..6f8e330 100644
--- a/gcc/dse.c
+++ b/gcc/dse.c
@@ -1510,7 +1510,7 @@ record_store (rtx body, bb_info_t bb_info)
       && !MEM_VOLATILE_P (mem)
       /* Sometimes the store and reload is used for truncation and
 	 rounding.  */
-      && !(FLOAT_MODE_P (GET_MODE (mem)) && (flag_float_store)))
+      && !(FLOAT_MODE_P (GET_MODE (mem)) && (GCC_OPTION (flag_float_store))))
     {
       rhs = SET_SRC (body);
       if (CONSTANT_P (rhs))
@@ -3715,14 +3715,14 @@ rest_of_handle_dse (void)
 static bool
 gate_dse1 (void)
 {
-  return optimize > 0 && flag_dse
+  return GCC_OPTION (optimize) > 0 && GCC_OPTION (flag_dse)
     && dbg_cnt (dse1);
 }
 
 static bool
 gate_dse2 (void)
 {
-  return optimize > 0 && flag_dse
+  return GCC_OPTION (optimize) > 0 && GCC_OPTION (flag_dse)
     && dbg_cnt (dse2);
 }
 
diff --git a/gcc/dumpfile.c b/gcc/dumpfile.c
index fd630a6..58586a1 100644
--- a/gcc/dumpfile.c
+++ b/gcc/dumpfile.c
@@ -228,7 +228,7 @@ get_dump_file_name (int phase) const
 	dump_id[0] = '\0';
     }
 
-  return concat (dump_base_name, dump_id, dfi->suffix, NULL);
+  return concat (GCC_OPTION (dump_base_name), dump_id, dfi->suffix, NULL);
 }
 
 /* For a given DFI, open an alternate dump filename (which could also
diff --git a/gcc/dwarf2asm.c b/gcc/dwarf2asm.c
index 1372b23..e7e8f1b 100644
--- a/gcc/dwarf2asm.c
+++ b/gcc/dwarf2asm.c
@@ -107,7 +107,7 @@ dw2_asm_output_data (int size, unsigned HOST_WIDE_INT value,
   else
     assemble_integer (GEN_INT (value), size, BITS_PER_UNIT, 1);
 
-  if (flag_debug_asm && comment)
+  if (GCC_OPTION (flag_debug_asm) && comment)
     {
       fputs ("\t" ASM_COMMENT_START " ", asm_out_file);
       vfprintf (asm_out_file, comment, ap);
@@ -139,7 +139,7 @@ dw2_asm_output_delta (int size, const char *lab1, const char *lab2,
 				       gen_rtx_SYMBOL_REF (Pmode, lab1),
 				       gen_rtx_SYMBOL_REF (Pmode, lab2)));
 #endif
-  if (flag_debug_asm && comment)
+  if (GCC_OPTION (flag_debug_asm) && comment)
     {
       fprintf (asm_out_file, "\t%s ", ASM_COMMENT_START);
       vfprintf (asm_out_file, comment, ap);
@@ -167,7 +167,7 @@ dw2_asm_output_vms_delta (int size ATTRIBUTE_UNUSED,
   dw2_asm_output_delta (size, lab1, lab2, comment);
 #else
   ASM_OUTPUT_DWARF_VMS_DELTA (asm_out_file, size, lab1, lab2);
-  if (flag_debug_asm && comment)
+  if (GCC_OPTION (flag_debug_asm) && comment)
     {
       fprintf (asm_out_file, "\t%s ", ASM_COMMENT_START);
       vfprintf (asm_out_file, comment, ap);
@@ -200,7 +200,7 @@ dw2_asm_output_offset (int size, const char *label,
   dw2_assemble_integer (size, gen_rtx_SYMBOL_REF (Pmode, label));
 #endif
 
-  if (flag_debug_asm && comment)
+  if (GCC_OPTION (flag_debug_asm) && comment)
     {
       fprintf (asm_out_file, "\t%s ", ASM_COMMENT_START);
       vfprintf (asm_out_file, comment, ap);
@@ -233,7 +233,7 @@ dw2_asm_output_pcrel (int size ATTRIBUTE_UNUSED,
 				       pc_rtx));
 #endif
 
-  if (flag_debug_asm && comment)
+  if (GCC_OPTION (flag_debug_asm) && comment)
     {
       fprintf (asm_out_file, "\t%s ", ASM_COMMENT_START);
       vfprintf (asm_out_file, comment, ap);
@@ -256,7 +256,7 @@ dw2_asm_output_addr (int size, const char *label,
 
   dw2_assemble_integer (size, gen_rtx_SYMBOL_REF (Pmode, label));
 
-  if (flag_debug_asm && comment)
+  if (GCC_OPTION (flag_debug_asm) && comment)
     {
       fprintf (asm_out_file, "\t%s ", ASM_COMMENT_START);
       vfprintf (asm_out_file, comment, ap);
@@ -278,7 +278,7 @@ dw2_asm_output_addr_rtx (int size, rtx addr,
 
   dw2_assemble_integer (size, addr);
 
-  if (flag_debug_asm && comment)
+  if (GCC_OPTION (flag_debug_asm) && comment)
     {
       fprintf (asm_out_file, "\t%s ", ASM_COMMENT_START);
       vfprintf (asm_out_file, comment, ap);
@@ -309,7 +309,7 @@ dw2_asm_output_nstring (const char *str, size_t orig_len,
   if (len == (size_t) -1)
     len = strlen (str);
 
-  if (flag_debug_asm && comment)
+  if (GCC_OPTION (flag_debug_asm) && comment)
     {
       fputs ("\t.ascii \"", asm_out_file);
       for (i = 0; i < len; i++)
@@ -596,7 +596,7 @@ dw2_asm_output_data_uleb128 (unsigned HOST_WIDE_INT value,
   fputs ("\t.uleb128 ", asm_out_file);
   fprint_whex (asm_out_file, value);
 
-  if (flag_debug_asm && comment)
+  if (GCC_OPTION (flag_debug_asm) && comment)
     {
       fprintf (asm_out_file, "\t%s ", ASM_COMMENT_START);
       vfprintf (asm_out_file, comment, ap);
@@ -627,7 +627,7 @@ dw2_asm_output_data_uleb128 (unsigned HOST_WIDE_INT value,
       }
     while (work != 0);
 
-  if (flag_debug_asm)
+  if (GCC_OPTION (flag_debug_asm))
     {
       fprintf (asm_out_file, "\t%s uleb128 " HOST_WIDE_INT_PRINT_HEX,
 	       ASM_COMMENT_START, value);
@@ -680,7 +680,7 @@ dw2_asm_output_data_sleb128 (HOST_WIDE_INT value,
 #ifdef HAVE_AS_LEB128
   fprintf (asm_out_file, "\t.sleb128 " HOST_WIDE_INT_PRINT_DEC, value);
 
-  if (flag_debug_asm && comment)
+  if (GCC_OPTION (flag_debug_asm) && comment)
     {
       fprintf (asm_out_file, "\t%s ", ASM_COMMENT_START);
       vfprintf (asm_out_file, comment, ap);
@@ -714,7 +714,7 @@ dw2_asm_output_data_sleb128 (HOST_WIDE_INT value,
       }
     while (more);
 
-  if (flag_debug_asm)
+  if (GCC_OPTION (flag_debug_asm))
     {
       fprintf (asm_out_file, "\t%s sleb128 " HOST_WIDE_INT_PRINT_DEC,
 	       ASM_COMMENT_START, value);
@@ -749,7 +749,7 @@ dw2_asm_output_delta_uleb128 (const char *lab1 ATTRIBUTE_UNUSED,
   gcc_unreachable ();
 #endif
 
-  if (flag_debug_asm && comment)
+  if (GCC_OPTION (flag_debug_asm) && comment)
     {
       fprintf (asm_out_file, "\t%s ", ASM_COMMENT_START);
       vfprintf (asm_out_file, comment, ap);
@@ -779,7 +779,7 @@ dw2_asm_output_delta_sleb128 (const char *lab1 ATTRIBUTE_UNUSED,
   gcc_unreachable ();
 #endif
 
-  if (flag_debug_asm && comment)
+  if (GCC_OPTION (flag_debug_asm) && comment)
     {
       fprintf (asm_out_file, "\t%s ", ASM_COMMENT_START);
       vfprintf (asm_out_file, comment, ap);
@@ -1012,7 +1012,7 @@ dw2_asm_output_encoded_addr_rtx (int encoding, rtx addr, bool is_public,
 #endif
     }
 
-  if (flag_debug_asm && comment)
+  if (GCC_OPTION (flag_debug_asm) && comment)
     {
       fprintf (asm_out_file, "\t%s ", ASM_COMMENT_START);
       vfprintf (asm_out_file, comment, ap);
diff --git a/gcc/dwarf2cfi.c b/gcc/dwarf2cfi.c
index abcdeb3..f2ed324 100644
--- a/gcc/dwarf2cfi.c
+++ b/gcc/dwarf2cfi.c
@@ -2103,10 +2103,10 @@ cfi_label_required_p (dw_cfi_ref cfi)
   if (!dwarf2out_do_cfi_asm ())
     return true;
 
-  if (dwarf_version == 2
-      && debug_info_level > DINFO_LEVEL_TERSE
-      && (write_symbols == DWARF2_DEBUG
-	  || write_symbols == VMS_AND_DWARF2_DEBUG))
+  if (GCC_OPTION (dwarf_version) == 2
+      && GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE
+      && (GCC_OPTION (write_symbols) == DWARF2_DEBUG
+	  || GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG))
     {
       switch (cfi->dw_cfi_opc)
 	{
@@ -3233,7 +3233,7 @@ output_cfi_directive (FILE *f, dw_cfi_ref cfi)
 	{
 	  fprintf (f, "\t.cfi_escape %#x,", DW_CFA_GNU_args_size);
 	  dw2_asm_output_data_uleb128_raw (cfi->dw_cfi_oprnd1.dw_cfi_offset);
-	  if (flag_debug_asm)
+	  if (GCC_OPTION (flag_debug_asm))
 	    fprintf (f, "\t%s args_size "HOST_WIDE_INT_PRINT_DEC,
 		     ASM_COMMENT_START, cfi->dw_cfi_oprnd1.dw_cfi_offset);
 	  fputc ('\n', f);
@@ -3322,7 +3322,7 @@ dwarf2out_do_frame (void)
   /* We want to emit correct CFA location expressions or lists, so we
      have to return true if we're going to output debug info, even if
      we're not going to output frame or unwind info.  */
-  if (write_symbols == DWARF2_DEBUG || write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == DWARF2_DEBUG || GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     return true;
 
   if (saved_do_cfi_asm > 0)
@@ -3331,7 +3331,7 @@ dwarf2out_do_frame (void)
   if (targetm.debug_unwind_info () == UI_DWARF2)
     return true;
 
-  if ((flag_unwind_tables || flag_exceptions)
+  if ((GCC_OPTION (flag_unwind_tables) || GCC_OPTION (flag_exceptions))
       && targetm_common.except_unwind_info (&global_options) == UI_DWARF2)
     return true;
 
@@ -3351,7 +3351,7 @@ dwarf2out_do_cfi_asm (void)
   /* Assume failure for a moment.  */
   saved_do_cfi_asm = -1;
 
-  if (!flag_dwarf2_cfi_asm || !dwarf2out_do_frame ())
+  if (!GCC_OPTION (flag_dwarf2_cfi_asm) || !dwarf2out_do_frame ())
     return false;
   if (!HAVE_GAS_CFI_PERSONALITY_DIRECTIVE)
     return false;
@@ -3368,7 +3368,7 @@ dwarf2out_do_cfi_asm (void)
   /* If we can't get the assembler to emit only .debug_frame, and we don't need
      dwarf2 unwind info for exceptions, then emit .debug_frame by hand.  */
   if (!HAVE_GAS_CFI_SECTIONS_DIRECTIVE
-      && !flag_unwind_tables && !flag_exceptions
+      && !GCC_OPTION (flag_unwind_tables) && !GCC_OPTION (flag_exceptions)
       && targetm_common.except_unwind_info (&global_options) != UI_DWARF2)
     return false;
 
